View Issue Details

IDProjectCategoryView StatusLast Update
0001182bareos-core[All Projects] webuipublic2020-02-20 09:23
ReporterzendxAssigned Tostephand 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version9
Product Version19.2.5 
Fixed in Version 
Summary0001182: Files list in restore dialog is empty after updating 18.2.5 to 19.2.5
DescriptionI've upgraded bareos 18.2.5 -> 19.2.5
PostgreSQL.

/usr/lib/bareos/scripts/update_bareos_tables

DB migrated to version 2192

.bvfs_clear_cache yes done without errors.


After .bvfs_update, some error messages appears in the logfile:

09-Feb 13:08 bareos-dir JobId 0: Fatal error: cats/bvfs.cc:244 cats/bvfs.cc:244 query INSERT INTO PathVisibility (PathId, JobId) SELECT DISTINCT PathId, JobId FROM (SELECT PathId, JobId FROM File WHERE JobId = 13066 UNION SELECT PathId, BaseFiles.JobId FROM BaseFiles JOIN File AS F USING (FileId) WHERE BaseFiles.JobId = 13066) AS B failed: ERROR: duplicate key value violates unique constraint "pathvisibility_pkey"


Restore dialog in WebUI shows all jobs for clients, but files list is empty for all of them :(
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

stephand

stephand

2020-02-12 08:35

developer   ~0003794

Thanks for reporting this, I verifided that it is a race condition that unfortunately happens sometimes when multiple .bvfs_update are running in parallel. It is perfectly ok to run multiple .bvfs_update in parallel, and using the Bareos webui also causes running .bvfs_update. In most of the cases, the code prevents from running bvfs update on the same JobId in parallel, see https://github.com/bareos/bareos/blob/master/core/src/cats/bvfs.cc#L191, but I was able to reproduce the error nevertheless, both in 18.2 and 19.2. So this is not related to the upgrade. However, the error does not impact the consistency of the bvfs cache data, please consider this like a warning for the time being. It needs to be fixed in the future.

The other problem "Restore dialog in WebUI shows all jobs for clients, but files list is empty for all of them :(" is related to the upgrade. It's fixed with https://github.com/bareos/bareos/pull/411 also in 19.2.6, please update.
stephand

stephand

2020-02-12 08:38

developer   ~0003795

Could you please check if it work with Bareos 19.2.6?
mfulz

mfulz

2020-02-19 23:36

reporter   ~0003843

I can confirm the empty files list is fixed with 19.2.6.
I had the same issue with the 19.2.5 version.

THX
stephand

stephand

2020-02-20 09:23

developer   ~0003844

Issue is fixed in 19.2.6

Issue History

Date Modified Username Field Change
2020-02-09 20:30 zendx New Issue
2020-02-12 08:35 stephand Note Added: 0003794
2020-02-12 08:37 stephand Assigned To => stephand
2020-02-12 08:37 stephand Status new => assigned
2020-02-12 08:38 stephand Status assigned => feedback
2020-02-12 08:38 stephand Note Added: 0003795
2020-02-19 23:36 mfulz Note Added: 0003843
2020-02-20 09:23 stephand Status feedback => resolved
2020-02-20 09:23 stephand Resolution open => fixed
2020-02-20 09:23 stephand bareos-19.2: impact => yes
2020-02-20 09:23 stephand bareos-19.2: action => fixed
2020-02-20 09:23 stephand Note Added: 0003844